
Redmine - Feature #37679

Raise the maximum length of the last name to 255 characters

2022-09-15 21:30 - Anthony Mallet

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 5.1.0   

Resolution:    

Description

According to r11392, the lastname length is increased to 255 characters.

It seems that the user validations was never updated accordingly and I have some users hitting the limit in a legitimate way.

Would the attached patch be enough to fix the issue?

Related issues:

Related to Redmine - Feature #13174: Raise group name maximum length to 255 c... Closed

Associated revisions

Revision 22284 - 2023-08-27 10:59 - Go MAEDA

Raise the maximum length of the last name to 255 characters (#37679).

Patch by Anthony Mallet.

History

#1 - 2022-09-15 21:36 - Anthony Mallet

- File limit.patch added

Sorry, stupid typo in previous patch ...

#2 - 2022-09-16 01:33 - Go MAEDA

- Related to Feature #13174: Raise group name maximum length to 255 characters added

#3 - 2022-09-16 01:33 - Go MAEDA

- Description updated

#4 - 2022-09-16 06:41 - Go MAEDA

- File deleted (limit.patch)

#5 - 2023-06-22 10:39 - Go MAEDA

- Target version set to Candidate for next major release

#6 - 2023-06-23 02:45 - Go MAEDA

- File 37679.patch added

- Target version changed from Candidate for next major release to 5.1.0

Added a test to the original patch.

Setting the target version to 5.1.0.

#7 - 2023-08-27 11:00 - Go MAEDA

- Subject changed from user.lastname artificially limited to length 30 (should be 255) to Raise the maximum length of the last name to 255 characters

- Status changed from New to Closed
- Assignee set to Go MAEDA

Committed the patch. Thank you.

#8 - 2023-10-30 13:36 - Go MAEDA

- Tracker changed from Patch to Feature

Files

limit.patch 855 Bytes 2022-09-15 Anthony Mallet

37679.patch 1.33 KB 2023-06-23 Go MAEDA
